USB_CREATE_HCD(9)

NAME
usb_create_hcd - create and initialize an HCD structure

SYNOPSIS

struct usb_hcd * usb_create_hcd(const struct hc_driver * driver, struct device * dev, const char * bus_name);

ARGUMENTS

driver
    HC driver that will use this hcd

dev
    device for this HC, stored in hcd->self.controller

bus_name
    value to store in hcd->self.bus_name

CONTEXT

!in_interrupt

DESCRIPTION

Allocate a struct usb_hcd, with extra space at the end for the HC driver's private data. Initialize the generic members of the hcd structure.

RETURN

On success, a pointer to the created and initialized HCD structure. On failure (e.g. if memory is unavailable), NULL.

COPYRIGHT